CIST Time Now
CIST is the abbreviation of Clipperton Island Standard Time. Time zone offset of CIST is UTC-08. Clipperton Island Standard Time is 8 hours behind from the UTC universal time. CIST current date is 3rd Tuesday November 2026. Current time in CIST (CIST).
CIST Time
18:01:48
3 November 2026 Tuesday
CIST, or Clipperton Island Standard Time, is the time standard used at Clipperton Island. It is a small French territory located in eastern Pacific Ocean, about 670 miles from north Mexican coast. The island is uninhabited. Clipperton Island Standard Time is 8 hours behind the UTC universal time.
What time is it in Clipperton Island Standard Time now? It is 18:01:48 right now.
Clipperton Island Standard Time Date and Time Now in Various Formats
| Date Time Format | CIST Date Time Now |
|---|---|
| UTC | 2026-11-03T18:01:48Z |
| ISO-8601 | 2026-11-03T18:01:48+0000 |
| RFC 2822 | Tue, 03 Nov 2026 18:01:48 +0000 |
| RFC 850 | Tuesday, 03-Nov-26 18:01:48 UTC |
| RFC 1036 | Tue, 03 Nov 26 18:01:48 +0000 |
| RFC 1123 | Tue, 03 Nov 2026 18:01:48 +0000 |
| RFC 822 | Tue, 03 Nov 26 18:01:48 +0000 |
| RFC 3339 | 2026-11-03T18:01:48+00:00 |
| ATOM | 2026-11-03T18:01:48+00:00 |
| COOKIE | Tuesday, 03-Nov-2026 18:01:48 UTC |
| RSS | Tue, 03 Nov 2026 18:01:48 +0000 |
| W3C | 2026-11-03T18:01:48+00:00 |
| Unix Epoch | 1793728908 |
| YYYY-DD-MM HH:MM:SS | 2026-03-11 18:01:48 |
| YYYY-DD-MM HH:MM:SS am/pm | 2026-03-11 06:01:48 PM |
| DD-MM-YYYY HH:MM:SS | 03-11-2026 18:01:48 |
| MM-DD-YYYY HH:MM:SS | 11-03-2026 18:01:48 |